GlueGen: com.jogamp.gluegen.test.junit.generation.BaseClass Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
com.jogamp.gluegen.test.junit.generation.BaseClass Class Reference
Inheritance diagram for com.jogamp.gluegen.test.junit.generation.BaseClass:
Collaboration diagram for com.jogamp.gluegen.test.junit.generation.BaseClass:

## Public Member Functions

void | testClassExist (final String name) throws Exception
| Verifies the existence and creation of the generated class. More...
void | chapter__TestCoverageSignature (final Bindingtest1 binding) throws Exception
| Verifies if all generated method signatures are completed, ie a compilation only coverage test without functional tests. More...
void | chapter01TestStaticConstants (final Bindingtest1 binding) throws Exception
| Verifies if all generated static constant values are completed, and whether their value is as expected! More...
void | chapter03TestCoverageFunctionalityNIOAndPrimitiveArray (final Bindingtest1 binding, final boolean direct) throws Exception
| Verifies if all methods / signatures are properly generated, can be invoked and functions. More...
void | chapter04TestPointerBuffer (final Bindingtest1 binding) throws Exception
void | chapter05TestSomeFunctionsAllIndirect (final Bindingtest1 binding) throws Exception
| This covers indirect primitive arrays and indirect NIO buffers. More...
void | chapter09TestCompoundAlignment (final Bindingtest1 binding) throws Exception
void | chapter10TestCompoundCallByReference (final Bindingtest1 binding) throws Exception
| Test compound access call-by-reference. More...
void | chapter11TestCompoundCallByValue (final Bindingtest1 binding) throws Exception
| Test compound access call-by-value. More...
void | chapter12TestTKField (final Bindingtest1 binding) throws Exception
| Test array and pointer bindings of structs More...
void | chapter13TestTKFieldImmutable (final Bindingtest1 binding) throws Exception
void | chapter14TestTKMixed (final Bindingtest1 binding) throws Exception
void | chapter15TestCustomJNICode (final Bindingtest1 binding) throws Exception
void | chapter16TestPascalString (final Bindingtest1 binding) throws Exception
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | assertAPTR (final long expected, final long actual)
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Static Public Attributes

static final float | EPSILON = 1.1920929E-7f
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()

## Detailed Description

Definition at line 51 of file BaseClass.java.

## Member Function Documentation

## ◆ assertAPTR()

static void com.jogamp.gluegen.test.junit.generation.BaseClass.assertAPTR | ( | final long | expected,
|  | final long | actual
| ) |  |

static

Definition at line 1091 of file BaseClass.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ chapter01TestStaticConstants()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter01TestStaticConstants | ( | final Bindingtest1 | binding | ) | throws Exception

Verifies if all generated static constant values are completed, and whether their value is as expected!

Covers all enumerates and defines.

Definition at line 224 of file BaseClass.java.

## ◆ chapter03TestCoverageFunctionalityNIOAndPrimitiveArray()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter03TestCoverageFunctionalityNIOAndPrimitiveArray | ( | final Bindingtest1 | binding,
|  | final boolean | direct
| ) |  | throws Exception

Verifies if all methods / signatures are properly generated, can be invoked and functions.

This is a compilation (coverage) and runtime time (semantic) test. This covers indirect primitive arrays and direct NIO buffers.

Definition at line 492 of file BaseClass.java.

Here is the call graph for this function:

## ◆ chapter04TestPointerBuffer()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter04TestPointerBuffer | ( | final Bindingtest1 | binding | ) | throws Exception

Definition at line 919 of file BaseClass.java.

Here is the call graph for this function:

## ◆ chapter05TestSomeFunctionsAllIndirect()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter05TestSomeFunctionsAllIndirect | ( | final Bindingtest1 | binding | ) | throws Exception

This covers indirect primitive arrays and indirect NIO buffers.

Definition at line 1026 of file BaseClass.java.

## ◆ chapter09TestCompoundAlignment()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter09TestCompoundAlignment | ( | final Bindingtest1 | binding | ) | throws Exception

Definition at line 1110 of file BaseClass.java.

Here is the call graph for this function:

## ◆ chapter10TestCompoundCallByReference()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter10TestCompoundCallByReference | ( | final Bindingtest1 | binding | ) | throws Exception

Test compound access call-by-reference.

Definition at line 1224 of file BaseClass.java.

Here is the call graph for this function:

## ◆ chapter11TestCompoundCallByValue()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter11TestCompoundCallByValue | ( | final Bindingtest1 | binding | ) | throws Exception

Test compound access call-by-value.

Definition at line 1293 of file BaseClass.java.

## ◆ chapter12TestTKField()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter12TestTKField | ( | final Bindingtest1 | binding | ) | throws Exception

Test array and pointer bindings of structs

Definition at line 2469 of file BaseClass.java.

## ◆ chapter13TestTKFieldImmutable()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter13TestTKFieldImmutable | ( | final Bindingtest1 | binding | ) | throws Exception

Definition at line 2516 of file BaseClass.java.

## ◆ chapter14TestTKMixed()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter14TestTKMixed | ( | final Bindingtest1 | binding | ) | throws Exception

Definition at line 2524 of file BaseClass.java.

Here is the call graph for this function:

## ◆ chapter15TestCustomJNICode()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter15TestCustomJNICode | ( | final Bindingtest1 | binding | ) | throws Exception

Definition at line 2569 of file BaseClass.java.

## ◆ chapter16TestPascalString()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter16TestPascalString | ( | final Bindingtest1 | binding | ) | throws Exception

Definition at line 2573 of file BaseClass.java.

## ◆ chapter__TestCoverageSignature()

void com.jogamp.gluegen.test.junit.generation.BaseClass.chapter__TestCoverageSignature | ( | final Bindingtest1 | binding | ) | throws Exception

Verifies if all generated method signatures are completed, ie a compilation only coverage test without functional tests.

Definition at line 84 of file BaseClass.java.

Here is the call graph for this function:

## ◆ testClassExist()

void com.jogamp.gluegen.test.junit.generation.BaseClass.testClassExist | ( | final String | name | ) | throws Exception

Verifies the existence and creation of the generated class.

Definition at line 60 of file BaseClass.java.

## Member Data Documentation

## ◆ EPSILON

final float com.jogamp.gluegen.test.junit.generation.BaseClass.EPSILON = 1.1920929E-7f

static

Definition at line 78 of file BaseClass.java.

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/gluegen/test/junit/generation/BaseClass.java